Deploying AcuSensor for .NET - Supported Scenarios

Before deploying AcuSensor for .NET Technologies, note the list of supported servers and frameworks.

Supported Servers and Frameworks

.NET Framework

In general, Acunetix supports .NET Framework 4.5 and later, including:

  • .NET Framework 4.5
  • .NET Framework 4.5.1
  • .NET Framework 4.5.2
  • .NET Framework 4.6
  • .NET Framework 4.6.1
  • .NET Framework 4.6.2
  • .NET Framework 4.7
  • .NET Framework 4.7.1
  • .NET Framework 4.7.2
  • .NET Framework 4.8
  • .NET Framework 4.8.1

Server Runtimes

.NET Framework 4.5 and later

.NET Core

.NET Core versions

  • .NET Core 3.1 (no longer supported by Microsoft)
  • .NET 5.0 (no longer supported by Microsoft)
  • .NET 6.0 (LTS)

Linux testing has been performed with Kestrel on the following distributions:

  • Debian 10
  • Debian 11
  • Ubuntu 18.04
  • Ubuntu 20
  • Ubuntu 22
  • CentOS Stream 9

Other Linux web servers have not been exhaustively tested, but should work.

Generally, the .NET AcuSensor should work on any distributions that the .NET Core runtime supports.

Web Servers

  • IIS 6.2 on  Windows_Server-2012-R2_RTM-English-64Bit-Base-2022.11.10
  • .NET Extensibility, ASP.NET 4.5, ISAPI Extensions, ISAPI Filters must be installed
  • IIS 8 and later on supported Operating Systems

Operating Systems

  • Windows Server 2012 (.NET Framework 4.5 is preinstalled)
  • Windows Server 2012 R2  (.NET Framework 4.5.1 is preinstalled)
  • Windows Server 2016  (.NET Framework 4.6.2 is preinstalled)
  • Windows Server, version 1709  (.NET Framework 4.7.1 is preinstalled)
  • Windows Server, version 1803  (.NET Framework 4.7.2 is preinstalled)
  • Windows Server, version 1809  (.NET Framework 4.7.2 is preinstalled)
  • Windows Server 2019 (.NET Framework 4.7.2 is preinstalled)
  • Windows Server 2022 (.NET Framework 4.8 is preinstalled)

Databases

  • Microsoft SQL Server

 

« Back to the Acunetix Support Page